Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class MetaClassImpl.Index

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.SingleKeyHashMap
              groovy.lang.MetaClassImpl.Index

    public static class MetaClassImpl.Index
    extends SingleKeyHashMap

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Constructor Summary
`MetaClassImpl.Index(int size)`
`MetaClassImpl.Index()`
`MetaClassImpl.Index(boolean size)`

Method Summary
`boolean` | `checkEquals(Entry e, java.lang.Object key)`
`SingleKeyHashMap` | `getNotNull(CachedClass key)`
`SingleKeyHashMap` | `getNullable(CachedClass clazz)`
`void` | `put(CachedClass key, SingleKeyHashMap value)`

Methods inherited from class SingleKeyHashMap
SingleKeyHashMap, SingleKeyHashMap, containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MetaClassImpl.Index

    public MetaClassImpl.Index(int size)

### MetaClassImpl.Index

    public MetaClassImpl.Index()

### MetaClassImpl.Index

    public MetaClassImpl.Index(boolean size)

Method Detail

### checkEquals

    public boolean checkEquals(Entry e, java.lang.Object key)

### getNotNull

    public SingleKeyHashMap getNotNull(CachedClass key)

### getNullable

    public SingleKeyHashMap getNullable(CachedClass clazz)

### put

    public void put(CachedClass key, SingleKeyHashMap value)

Groovy Documentation